# Chad Game Theory Tournament

All is based on the Prisoner's dilemma.
The tournament consists of consecutive games which consists of matches.
In each match there are 2 players.
Players must make a binary choice between `COOPERATE` and `CONFLICT`.

Below is a table of all possible out comes:

| Players  |  Action   | Reward |
| :------: | :-------: | :----: |
| Player 1 | COOPERATE |      3 |
| Player 2 | COOPERATE |      3 |
| :------: | :-------: | :----: |
| Player 1 | COOPERATE |      0 |
| Player 2 | CONFLICT  |      5 |
| :------: | :-------: | :----: |
| Player 1 | CONFLICT  |      5 |
| Player 2 | COOPERATE |      0 |
| :------: | :-------: | :----: |
| Player 1 | CONFLICT  |      1 |
| Player 2 | CONFLICT  |      1 |

The player with the most points by the end of the Tournament wins.

To play, submit a header file with your subclass implementation of `Player`.
Comments will further aid you.
